package com.yxproject.start.entity;

import javax.persistence.*;
import java.util.Date;
import java.util.Objects;

/**
 * Created by zhangyusheng on 2018/11/12 14:12
 */
@Entity
@Table(name = "POLICE_STATION_APPLY_REASON", schema = "DAHAI", catalog = "")
public class PoliceStationApplyReasonEntity {

    private Long police_Station_Apply_Reason_Id;
    private Date save_Date;
    private Long task_Id;
    private String police_Station_Code;
    private Long apply_Code;
    private Long apply_Count;
    @Id
    @Column(name = "POLICE_STATION_APPLY_REASON_ID",  nullable = false, precision = 0)
    public Long getPolice_Station_Apply_Reason_Id() {
        return police_Station_Apply_Reason_Id;
    }

    public void setPolice_Station_Apply_Reason_Id(Long police_Station_Apply_Reason_Id) {
        this.police_Station_Apply_Reason_Id = police_Station_Apply_Reason_Id;
    }



    @Basic
    @Column(name = "SAVE_DATE", nullable = true)
    public Date getSave_Date() {
        return save_Date;
    }

    public void setSave_Date(Date save_Date) {
        this.save_Date = save_Date;
    }

    @Basic
    @Column(name = "TASK_ID",  nullable = false, precision = 0)
    public Long getTask_Id() {
        return task_Id;
    }
    public void setTask_Id(Long task_Id) {
        this.task_Id = task_Id;
    }

    @Basic
    @Column(name = "POLICE_STATION_CODE", nullable = true, length = 20)
    public String getPolice_Station_Code() {
        return police_Station_Code;
    }

    public void setPolice_Station_Code(String police_Station_Code) {
        this.police_Station_Code = police_Station_Code;
    }
    @Basic
    @Column(name = "APPLY_CODE", nullable = true, precision = 0)
    public Long getApply_Code() {
        return apply_Code;
    }

    public void setApply_Code(Long apply_Code) {
        this.apply_Code = apply_Code;
    }



    @Basic
    @Column(name = "APPLY_COUNT", nullable = true, precision = 0)
    public Long getApply_Count() {
        return apply_Count;
    }

    public void setApply_Count(Long apply_Count) {
        this.apply_Count = apply_Count;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PoliceStationApplyReasonEntity that = (PoliceStationApplyReasonEntity) o;
        return Objects.equals(police_Station_Apply_Reason_Id, that.police_Station_Apply_Reason_Id) &&
                Objects.equals(save_Date, that.save_Date) &&
                Objects.equals(task_Id, that.task_Id) &&
                Objects.equals(police_Station_Code, that.police_Station_Code) &&
                Objects.equals(apply_Code, that.apply_Code) &&
                Objects.equals(apply_Count, that.apply_Count);
    }

    @Override
    public int hashCode() {
        return Objects.hash(police_Station_Apply_Reason_Id, save_Date, task_Id, police_Station_Code, apply_Code, apply_Count);
    }

}
